Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	dialog - user interface utility for shell scripts
Name:      	dialog
Version:   	1.0
Release:   	5
Provides:	%{name}
License: 	LGPL
URL:		http://invisible-island.net/dialog/
Group:     	System/Libraries
Source0: 	%{name}_%{version}-20060221.orig.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires:	ncurses
BuildRequires:	ncurses-devel

%description
Dialog is a utility to create nice user interfaces to shell scripts, or other scripting languages, such as perl.
It is non-graphical (it uses curses) so it can be run in the console or an xterm.

%package devel
Summary:        Development files for %{name}
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header files for developing applications using dialog

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}-20060221


%build
./configure --prefix=%_prefix \
--mandir=%_mandir \
--infodir=%_infodir \
--sysconfdir=%_sysconfdir \
--localstatedir=%_localstatedir \
--enable-nls \
--with-ncurses \
--with-libtool
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_datadir/dialog-1.0
cp -r samples $RPM_BUILD_ROOT%_datadir/dialog-1.0/
# chmod libs for better rpm dependency
chmod +x $RPM_BUILD_ROOT%_libdir/*.so.1.*
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_bindir
%_libdir/*.so.*
%_mandir
%_datadir/locale

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.so
%_libdir/libdialog.a
%_libdir/libdialog.la
%_datadir/dialog-1.0

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jan 21 2007 Christian Wasem <wasem@ccux-linux.de> 1.0-5
- rebuild (internal version update of dialog - 1.183)
- license is now LGPL (thanks Thomas Dickey)
* Tue Sep 27 2005 Christian Wasem <wasem@ccux-linux.de> 1.0-4
- Moved necessary files to main package
* Tue Sep 27 2005 Christian Wasem <wasem@ccux-linux.de> 1.0-3
- added Requires, BuildRequires, tweaked the specfile
- moved samples directory
* Mon Sep 26 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 1.0-2
- rebuilt SRPM, version update to 1.0-20050911